/*
 * RSH - Robte si hocičo
 *
 * Ktokoľvek a čokoľvek smie kopírovať, upravovať, zverejňovať,
 * používať, kompilovať, predávať a šíriť toto dielo
 * a všetky jeho časti v akejkoľvek podobe na akékoľvek účely,
 * komerčné a nekomerčné, bez akýchkoľvek obmedzení,
 * bez dodržiavania akýchkoľvek podmienok
 * a akýmikoľvek prostriedkami.
 *
 * Jeder und alles darf kopieren, bearbeiten, veröffentlichen,
 * verwenden, kompilieren, verkaufen und verbreiten dieses Werk
 * und alle seine Teile in irgendeiner Form für irgendeinen Zweck,
 * kommerziell und nichtkommerziell, ohne Beschränkungen,
 * ohne irgendwelche Bedingungen einzuhalten
 * und mit allen Mitteln.
 *
 * Anyone and anything may copy, edit, publish,
 * use, compile, sell and distribute this work
 * and all its parts in any form for any purpose,
 * commercial and non-commercial, without any restrictions,
 * without complying with any conditions
 * and by any means.
 */

#ifndef LEXER_H
#define LEXER_H

#include <stdio.h>

#include "konshtanty.h"

enum {LBRACE, RBRACE, LPAREN, RPAREN, SEMIKOLON,
      AMPERSAND, MIINUS, TILDE, LOG_NEG,
      PLUS, HVIEZDA, LOMKA,
      ASSIGN,
      LOG_AND, LOG_OR, EQUAL, NOT_EQUAL,
      LESS, LESS_EQUAL, GREATER, GREATER_EQUAL,
      OTAAZNIK, KOLON,
      CSHIARKA,
      IF, ELSE,
      FOR, WHILE, DO, BREAK, CONTINUE,
      INT, RETURN, INTLIT, IDENT,
      ZHIADEN_TOK, END_OF_FILE};

int lexerLex(FILE *f);
char *lexerHodnota();
void lexerTest(int tok);

#endif /* LEXER_H */
